/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.bizappointmentrecord.param;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 预约记录添加参数
 *
 * @author fanzherong
 * @date  2025/03/24 14:47
 **/
@Getter
@Setter
public class BizAppointmentRecordAddParam {

    /** 订单id */
    @Schema(description = "订单id", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotBlank(message = "orderId不能为空")
    private String orderId;

    /** 车牌号 */
    @Schema(description = "车牌号", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotBlank(message = "licenseNumber不能为空")
    private String licenseNumber;

    /** 预约时段id */
    @Schema(description = "预约时段id", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotBlank(message = "timeId不能为空")
    private String timeId;

    /** 司机姓名 */
    @Schema(description = "司机姓名")
    private String driverName;

    /** 司机电话 */
    @Schema(description = "司机电话")
    private String driverMobile;

    /** 状态（1：待审核  2：审核不通过   3：排队中  4：可入场  5：已入场  6：一次过磅  7：完成装货   8：二次过磅   9：已出场  10：已签收   11：已审核   12:已取消） */
    @Schema(description = "状态（1：待审核  2：审核不通过   3：排队中  4：可入场  5：已入场  6：一次过磅  7：完成装货   8：二次过磅   9：已出场  10：已签收   11：已审核   12:已取消）")
    private String status;

}
