/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.goods.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.biz.modular.goods.entity.BizGoods;
import vip.xiaonuo.biz.modular.goods.param.BizGoodsAddParam;
import vip.xiaonuo.biz.modular.goods.param.BizGoodsEditParam;
import vip.xiaonuo.biz.modular.goods.param.BizGoodsIdParam;
import vip.xiaonuo.biz.modular.goods.param.BizGoodsPageParam;

import java.util.List;

/**
 * 货品管理Service接口
 *
 * @author 徐超
 * @date  2025/01/02 17:44
 **/
public interface BizGoodsService extends IService<BizGoods> {

    /**
     * 获取货品管理分页
     *
     * @author 徐超
     * @date  2025/01/02 17:44
     */
    Page<BizGoods> page(BizGoodsPageParam bizGoodsPageParam);

    /**
     * 添加货品管理
     *
     * @author 徐超
     * @date  2025/01/02 17:44
     */
    void add(BizGoodsAddParam bizGoodsAddParam);

    /**
     * 编辑货品管理
     *
     * @author 徐超
     * @date  2025/01/02 17:44
     */
    void edit(BizGoodsEditParam bizGoodsEditParam);

    /**
     * 删除货品管理
     *
     * @author 徐超
     * @date  2025/01/02 17:44
     */
    void delete(List<BizGoodsIdParam> bizGoodsIdParamList);

    /**
     * 获取货品管理详情
     *
     * @author 徐超
     * @date  2025/01/02 17:44
     */
    BizGoods detail(BizGoodsIdParam bizGoodsIdParam);

    /**
     * 获取货品管理详情
     *
     * @author 徐超
     * @date  2025/01/02 17:44
     **/
    BizGoods queryEntity(String id);

    /** 获取货品列表*/
    List<BizGoods> getList(BizGoodsPageParam bizGoodsPageParam);
}
